import {SET_ASSESS_HISTORY_DATA,SET_ASSESS_HISTORY_LOADING} from '@types/assessResultHis';

export default (state={},action)=>{
  const res = Object.assign({},state);
  switch (action.type){
    case SET_ASSESS_HISTORY_DATA:
      res[action.id] = action.data;
      return res;
    case SET_ASSESS_HISTORY_LOADING:
      res.loading = action.flag;
      return res;
    default:
      return res;
  }
}